## retroconv 0.5.6

=== Makefile ===
all:
	cp retroconv.desktop $(CURDIR)/debian/retroconv/usr/share/applications/hildon
	cp retroconv.png $(CURDIR)/debian/retroconv/usr/share/pixmaps
  
clean: 
	rm $(CURDIR)/debian/retroconv/usr/share/applications/hildon/retroconv.desktop
	rm $(CURDIR)/debian/retroconv/usr/share/pixmaps/retroconv.png
	
install:
	cp retroconv.desktop $(CURDIR)/debian/retroconv/usr/share/applications/hildon
	cp retroconv.png $(CURDIR)/debian/retroconv/usr/share/pixmaps

## retroconv 0.5.0-1

=== debian/changelog ===
retroconv (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <tare2.galal@gmail.com>  Thu,  8 Apr 2010 16:53:19 +0200

=== debian/control ===
Source: retroconv
Section: user/desktop
Priority: extra
Maintainer: Tarek Galal <tare2.galal@gmail.com>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: python (>= 2.4), python-support
Standards-Version: 3.7.2

Package: retroconv
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python2.5-qt4-gui, python2.5-qt4-core, python-evolution, ${python:Depends}
Description: Old Messages Reader Apllication
 Retro Conversations can be used to import and read SMS from 
 other phones. Options like forward, find, filter and sort.
 An interface that mimics original Nokia Conversation look 
 and feel and another one similar to SMS interface on previous
 nokia phones.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAACXBIWXMAAAsT
 AAALEwEAmpwYAAAKT2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNn
 VFPpFj333vRCS4iAlEtvUhUIIFJCi4AUkSYqIQkQSoghodkVUcERRUUEG8ig
 iAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXXPues852zzwfA
 CAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAH
 vgABeNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCd
 mCZTAKAEAGDLY2LjAFAtAGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7
 AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7
 AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkX
 KxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G
 /yJiYuP+5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUA
 oOnaV/Nw+H48PEWhkLnZ2eXk5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7i
 JIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd0yLESWK5WCoU41EScY5E
 mozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA4vcA
 APK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCB
 KrBBG/TBGCzABhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv
 1EAdNMBRaIaTcA4uwlW4Dj1wD/phCJ7BKLyBCQRByAgTYSHaiAFiilgjjggX
 mYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5h1xGupE7yAAygvyG
 vEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXA
 CTYEd0IgYR5BSFhMWE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIx
 h1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQAkmxpFTSEtJG0m5SI+ksqZs0SBoj
 k8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+IoUspqShnlEOU0
 5QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgX
 aPdpr+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+Y
 TKYZ04sZx1QwNzHrmOeZD5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV
 81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkG
 WcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2q
 qaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxr
 qpaXllirSKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acK
 pxZNPTr1ri6qa6UbobtEd79up+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VH
 DFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYP
 jGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x
 1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l
 1rutu6cRp7lOk06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6T
 vZN9un2N/T0HDYfZDqsdWh1+c7RyFDpWOt6azpzuP33F9JbpL2dYzxDP2DPj
 thPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3IveRKdPVxXeF60vWd
 m7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nv
 nl+F30N/I/9k/3r/0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5
 QRVBj4KtguXBrSFoyOyQrSH355jOkc5pDoVQfujW0Adh5mGLw34MJ4WHhVeG
 P45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5qPNo3ujS6P8Yu
 ZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxap
 LhIsOpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgq
 TXqS7JG8NXkkxTOlLOW5hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqoh
 TZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQrAVZLQq2QqboVFoo1yoHsmdl
 V2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxx
 edsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWF
 fevc1+1dT1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavE
 uWTPZtJm6ebeLZ5bDpaql+aXDm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/
 PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7vPY07NXbW7z3/T7JvttV
 AVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3SPVRS
 j9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92
 HWcdL2pCmvKaRptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLT
 k2fyz4ydlZ19fi753GDborZ752PO32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy
 2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21e2b36RueN87d9L15
 8Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L9
 6fynQ89kzyaeF/6i/suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bC
 xh6+yXgzMV70VvvtwXfcdx3vo98PT+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz
 /GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADqYAAAOpgAABdv
 kl/FRgAACTBJREFUeNrsm1tsm+UZx3/f2XZ8iO3GSZyeGKdBC9pAoAGDgpC4
 2QnGNHGBNGnXE+Ju2s1u0KZdTNotE9oQXDBpG1pRNW0SCIqmdbQ0o9C0pKVp
 3Jyc+Hw+f++7C9tpk9rBTRybqnslK0pif+/7/N//83/+z/t9VqSU3MpD5RYf
 /wfgVgdAv/YXRVG011958Xeapt53MwVx4pNLP3/1LydO9fr+a3VP3/S/vV63
 89ERp/ngzQTA8lr2MHBqxwwArFq9gcth3DTB20IihND7pgGnz0VYTeRuiuDT
 uRInPrnUPw1oJgicn1shnspz920TGLr2lQx+fjlBZDmBpqpYlt4/AEJBD42G
 IJHJkz9X4fCdU7hdjq9M4JVqnZkvlimUKjgsg4BvhKW1dP8A0DUVp8PEMnVS
 2SKnZyLcsT/E3onA0IOPp3LMzq8ihGDU48LjdqCg4HKa/QNg70SAesMmnS0x
 HvSSyZe5tBAjns5z6PYwhqEPPPB6vcHcYpy1ZA7LNPD73eiahtMyCAW8XF6K
 91cDRj0unJbJWjKL1+3AYemksyVOfjbPvXeE8XtdAwu+UKoyOx+lUKriczvx
 jDjQNJWAd4TR1jp20s/o3YyCaWjsmwiQypZIZQuMBdykc2U+nV3kwFSQA5PB
 XQ9+aS3N5cU4hqExHvBiGBpOyyQU9GDoGv1o5K4DQGy6aMDnwuUwiKXyBHwq
 ZcvgykqSeCrP4TuncJj99wwNWzB7OUoqW8TtsvCMODB0Db9vpCP7+soAKSVC
 bLygaeiEx3yksiWkFIwHvKRyRabPRbj74CRBv7tvwWdyRc7PrWALSdDvxjI0
 nA6T8aAPXVOvW9uuMKDTFIqqEvS7cTlN4uk8Y5qbQqnGzKVlpkKjHAgH0bWd
 9VaRlSQL0RROy2AsMIKqQMDnxu8bactTF29PnzVAiK4fcJg6UyE/iXQeKcEy
 dWKpHJl8mbsOjuN2Wduq7RciqxSKVfxeFy6HiWUahAIeTEPbcj19ZwCyO9JX
 u0YYC3gYcVrEUnn2jHoolqssRlOEQ6N43c6eF7ASy/DJ51fY43cTCnrQVBW/
 dwS/z7Xlrm+lW30Vwa2Gy2myfzJAIl0gHBrFFpLIcgJFgbsPTqBtkRK2Lbiy
 kmR2PoqqqkjZ1JqJPT4sc3BeQ+2UTzfy0lSFBw7t57a9e5BS4LB0SuUa0+cj
 FEqVLrW9wmcXF1lL5bh9X+gq1WXTid7oGtgNH9DLsEydcGgUXdeo1Wws08Dp
 MFFQKFaqnJldZO+4n1DQi9MyKFfrxJI5ovEslqkzHvCiaQoHwkFyxTKFYpWl
 tTTh0CiaOpjDqg5lsDfBMXSNqXE/mqYSS+bI5ssYukZ4bJRsvoySU7BMg7Vk
 joVoav1zmqYS8I1gGTpetxO/14WmqTgsAylzFEtVVmIZwmOjW6bQ7olgDwww
 DZ19kwE0VSEay5AvbqS61+3A6TCIp/JoqkKjIbBbSm6ZOpqqMhbwrh+8tOcL
 BTysSdkU1NVUz3qwExFUrg1WUZS7Xn/lxbdcWxyJWabBvgk/qqqwGs+SK1a6
 Xnw86OXIE9+Gfc8Mu5E8A7ysmN4PN2+w2hFNSceXqWsbgy9Uur5XVRSOPP9S
 M3hpD/eVj3zjv0d/ffz3v3zhkZ58QCdKOcwm7RVFIRrLki2Ut+jgKjz2wJ1g
 +cEuQ6My1O3PXHyXWDLHiNP6BfAjoLaFD7heBL1uJ2MBN6qqEo1nyW0RPMBa
 MsfBcLCJfqPS/DnEMeoPIOUclqmHgVEgtkUV2JgjXreTiT3epnFZTlCu1r/8
 pNaWrVRq01AMVwE2ulvtS6tAOwVGPS4mx3zYtmAhmqJSq/c03zqLhABRa/4c
 6tl5pWOX27UdRoLPc83OrySp1ho3hrikufttEIZJACm7lvaODPCMOJgc89HY
 TvDXGippg2x01YCFM/8kkyv2LdD7n3i+MwFaDOwk7tcBEPCNMBnyUW/YTdpX
 bzx4IeVVBrSB6DBOz0SYW4j1D4DHn+2+JtGZBR0BsG3BwkqKcrW2TcqtHyw0
 6W93vs53jty/7Tk6b3Wte/C9MqBUqbEcyyB2KFxCyCb97RqIzuJpjR/G6mey
 d5lHCNGMR/agAd/72avHgOmdruWlF5/+LkKE10vhUEWQnjWgBPwHMHc66VjA
 8wiyEW6mQeed+eLsSTK5Ut8Cfeixp7bUJNkDA5aA5GazsI0RxPI1E3ILIzR9
 7gqXF+P9A+DRI11ToFkKRU9lsNyHtXia6t/a/S4p8MKPn+sz1+2uKXBDPqCv
 C5KiqzoPaggpr5bmgQHQ3nlpgxiuCLYrQE9lsJ8NCMJu7r7sLILvHT9JNJHt
 6XLfvGc/hw99fdtVYP2cY+ApIOzu9bkLLbs2aKK+TQBk11Z/9wCwW+cAst51
 4c88fn9fjE4v4NlCDFYDpJQorSog7cZQNUAK2epQ5RBSQO7s5mVfyCiGUAWk
 BEXYYFc65t5grbBoCeEANUBIgQpdT2IG3Qt0u+GzewC0u8F2HR4mAO1SKAao
 AX//8LPIc9+fenAllkZVVXTtanvhdJhoqrLh/cVylWK5/46xVm8w88UyQkrO
 XlyKDAqA2g9ffu3Yv4PeI1Kyp/1HRWk+hud2WRtcWTpb5INTF6g3ds8xJtOF
 xNH3zx8HNkyy+dZYv+bTgAeBH/z02YcfnRzzeQCe/ta9k089dSRczSxTqzdr
 er1h88HJC6RzRSLLiUg0nk32PfhMKf/O8ZkTwDvAtJRXu6bdYoANnAX449FT
 F4GDAA/d97UnkSIshMBu5eO/pi+RyhZJZYuJX7327ttAfhfWEwE+b63JHpQP
 KLdOluZaByyeQ3eEwwj7ybYvPzO7yFoiS6FUyf/mD++9AfwZWNyNlAQym4Pf
 fSPUnDC50ZPbSAmXl+JcjKxSrTeqr//t5LFMvnSstUNlBjgG+uBvW2/SuSIf
 n20K8tH3zhyfmYv+CZgZdPBDAACwq7z/0ecIKfjo0/np9z++9AbN+/dJhjAG
 /uh35MoSxXKNC/OrF9489vFbNL/rszQskzRQABLpQrVcrZHMFBJvHjv9NvCP
 lkIP0yfLLW8e9nGEgJ/cc3Dir8BvgYcB57Bj3i0j1M0c3QXcTvMBhYEr/mYx
 HjQD1lsBhjy6MuBWHLf8d4f/NwDy2UjQOb+QqAAAAABJRU5ErkJggg==
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/retroconv.
	$(MAKE) DESTDIR=$(CURDIR)/debian/retroconv install
	
	mkdir -p $(CURDIR)/debian/retroconv/opt/retroconv

	cp -r $(CURDIR)/*.py $(CURDIR)/debian/retroconv/opt/retroconv

	cp -r $(CURDIR)/graphics $(CURDIR)/debian/retroconv/opt/retroconv

	cp -r $(CURDIR)/GUI $(CURDIR)/debian/retroconv/opt/retroconv

	
	

# Build architecture-independent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## retroconv 0.5.5-1

=== debian/changelog ===
retroconv (0.5.5-1) unstable; urgency=low

  * Fixed importing messages when an extra empty row is produced by Nokia PC Suite
  * Adapted to PR1.2 and the latest pyqt4 packages 

 -- Tarek Galal <tarek@localhost.localdomain>  Fri, 18 Jun 2010 22:59:24 +0300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: retroconv
+Version: 0.5.5-1
+Architecture: all
 Section: user/desktop
 Priority: extra
 Maintainer: Tarek Galal <tare2.galal@gmail.com>
 Build-Depends: debhelper (>= 5)
-Build-Depends-Indep: python (>= 2.4), python-support
 Standards-Version: 3.7.2
 
 Package: retroconv
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, python2.5-qt4-gui, python2.5-qt4-core, python-evolution, ${python:Depends}
-Description: Old Messages Reader Apllication
- Retro Conversations can be used to import and read SMS from 
+Depends: python2.5-qt4-gui, python2.5-qt4-core, python-evolution
+Description: Retro Conversations reads and displays old SMS
+ Retro Conversations can be used to import and read SMS from
  other phones. Options like forward, find, filter and sort.
- An interface that mimics original Nokia Conversation look 
+ An interface that mimics original Nokia Conversation look
  and feel and another one similar to SMS interface on previous
  nokia phones.
-XB-Maemo-Icon-26:
+Bugtracker: mailto:tare2.galal@gmail.com
+Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAACXBIWXMAAAsT
  AAALEwEAmpwYAAAKT2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNn
  VFPpFj333vRCS4iAlEtvUhUIIFJCi4AUkSYqIQkQSoghodkVUcERRUUEG8ig

=== debian/rules ===
--- 
+++ 
@@ -51,9 +51,12 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/retroconv.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/retroconv install
+	# $(MAKE) DESTDIR=$(CURDIR)/debian/retroconv install
 	
 	mkdir -p $(CURDIR)/debian/retroconv/opt/retroconv
+	mkdir -p $(CURDIR)/debian/retroconv/usr/share/applications/hildon
+	mkdir -p $(CURDIR)/debian/retroconv/usr/share/pixmaps
+ 	
 
 	cp -r $(CURDIR)/*.py $(CURDIR)/debian/retroconv/opt/retroconv
 
@@ -61,7 +64,9 @@
 
 	cp -r $(CURDIR)/GUI $(CURDIR)/debian/retroconv/opt/retroconv
 
-	
+	cp retroconv.desktop $(CURDIR)/debian/retroconv/usr/share/applications/hildon
+	cp retroconv.png $(CURDIR)/debian/retroconv/usr/share/pixmaps
+
 	
 
 # Build architecture-independent files here.
